<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.njzscloud</groupId>
        <artifactId>njzscloud</artifactId>
        <version>0.0.1</version>
    </parent>
    <artifactId>njzscloud-svr</artifactId>
    <packaging>jar</packaging>
    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.njzscloud</groupId>
            <artifactId>njzscloud-common-core</artifactId>
        </dependency>
        <dependency>
            <groupId>com.njzscloud</groupId>
            <artifactId>njzscloud-common-mp</artifactId>
        </dependency>
        <dependency>
            <groupId>com.njzscloud</groupId>
            <artifactId>njzscloud-common-mvc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.njzscloud</groupId>
            <artifactId>njzscloud-common-sichen</artifactId>
        </dependency>
        <dependency>
            <groupId>com.njzscloud</groupId>
            <artifactId>njzscloud-common-sn</artifactId>
        </dependency>
        <!-- <dependency>
            <groupId>com.njzscloud</groupId>
            <artifactId>njzscloud-common-redis</artifactId>
        </dependency> -->
        <dependency>
            <groupId>com.njzscloud</groupId>
            <artifactId>njzscloud-common-security</artifactId>
        </dependency>
        <dependency>
            <groupId>com.njzscloud</groupId>
            <artifactId>njzscloud-common-gen</artifactId>
        </dependency>
        <dependency>
            <groupId>com.njzscloud</groupId>
            <artifactId>njzscloud-common-oss</artifactId>
        </dependency>
        <dependency>
            <groupId>com.njzscloud</groupId>
            <artifactId>njzscloud-common-mqtt</artifactId>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>easyexcel</artifactId>
        </dependency>
        <dependency>
            <groupId>jakarta.validation</groupId>
            <artifactId>jakarta.validation-api</artifactId>
        </dependency>

        <dependency>
            <groupId>org.hibernate.validator</groupId>
            <artifactId>hibernate-validator</artifactId>
        </dependency>

    </dependencies>


    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.1</version>
                <configuration>
                    <annotationProcessorPaths>
                        <path>
                            <groupId>org.projectlombok</groupId>
                            <artifactId>lombok</artifactId>
                            <version>1.18.30</version>
                        </path>
                        <path>
                            <groupId>org.mapstruct</groupId>
                            <artifactId>mapstruct-processor</artifactId>
                            <version>${mapstruct.version}</version>
                        </path>
                    </annotationProcessorPaths>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
